%global _plan9dir %{_libdir}/plan9

%global commit ffbdd1aa20c8a20a8e9dcd3cec644b6dfa3c6acb
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:		plan9port
Version:	%{shortcommit}
Release:	1%{?dist}
Summary:	Plan 9 from User Space
License:	LPL
URL:		https://9fans.github.io/plan9port/
Source0:	https://github.com/9fans/%{name}/archive/%{commit}.tar.gz

BuildRequires:	gcc
BuildRequires:	fontconfig-devel
BuildRequires:	make
BuildRequires:	libX11-devel
BuildRequires:	libXext-devel
BuildRequires:	libXt-devel

Requires:	fontconfig
Requires:	libX11
Requires:	libXext
Requires:	libXt

Conflicts:	rc

Autoreq: 0 

%description
Plan 9 from User Space (aka plan9port) is a port of many Plan 9 programs
from their native Plan 9 environment to Unix-like operating systems.

%prep
%setup -q -n %{name}-%{commit}

# Borrow from Gentoo to rename paths prior to building from source;
# see: https://gitweb.gentoo.org/repo/gentoo.git/tree/dev-util/plan9port/plan9port-20140306-r4.ebuild#n55
grep --null -l -r "/usr/local/plan9" | xargs --null sed -i "s!/usr/local/plan9!%{_plan9dir}!g"

%build
./INSTALL -r %{_plan9dir}

%install
mkdir -p %{buildroot}%{_plan9dir}/
mkdir -p %{buildroot}%{_sysconfdir}/profile.d/

cp -pr * %{buildroot}%{_plan9dir}/
rm -f %{buildroot}%{_plan9dir}/install.{log,sum}

cat >%{buildroot}%{_sysconfdir}/profile.d/plan9.sh <<EOF
PLAN9=%{_plan9dir} export PLAN9
PATH=\$PATH:\$PLAN9/bin export PATH
EOF

cat >%{buildroot}%{_sysconfdir}/profile.d/plan9.csh <<EOF
setenv PLAN9 %{_plan9dir}
setenv PATH \$PATH:\$PLAN9/bin
EOF

%files
%license LICENSE
%doc CHANGES README.md
%{_plan9dir}/*
%{_sysconfdir}/profile.d/*

%changelog
* Tue May  5 2020 Kurt H Maier <khm@sciops.net> acffdcb-1
- Pull in new rc parser

* Wed Jan 22 2020 Kurt H Maier <khm@sciops.net> f6c9f7b-1
- Upgrade to current commit
- Remove shitty rc

* Sun Nov 24 2019 Steven Stallion <sstallion@gmail.com> 4660627-3
- Upgrade to 4660627

* Tue Oct 17 2017 Steven Stallion <sstallion@gmail.com> 805d91d-2
- Fix shell expansion

* Tue Oct 17 2017 Steven Stallion <sstallion@gmail.com> 805d91d-1
- Initial revision
